## phipack 0.0.20160614

=== src/Makefile ===
# compiler 
#CXX        = /opt/ibmcmp/vac/6.0/bin/xlc
CXX        = gcc
CXXFLAGS   = -O3  -Wall

# target macros
PhiOBJ	= normal.o stats.o maxChi.o main.o queue.o graphCode.o fasta.o phylip.o mem.o misc.o pairScore.o seqManip.o global.o
ProfOBJ = normal.o stats.o fasta.o phylip.o mem.o misc.o pairScore.o seqManip.o global.o profile.o

# targets
default : Phi Profile

# implicit construction rule
%.o : %.c
	$(CXX) -c  $(CXXFLAGS) $< -o $@


Phi: $(PhiOBJ) 
	$(CXX) $(CXXFLAGS)  -o Phi $(PhiOBJ)   -lm
	cp Phi ../
	cd ppma_2_bmp && ${MAKE}
	cp ppma_2_bmp/ppma_2_bmp ../


Profile: $(ProfOBJ)
	$(CXX) $(CXXFLAGS) -o Profile $(ProfOBJ) -lm $(MYLIB)
	cp Profile ../
clean : FORCE
	rm -f *.o
	rm -f Phi
	rm -f Profile
FORCE:

=== src/ppma_2_bmp/Makefile ===
# compiler 
CXX        = g++
CXXFLAGS   = -O3 

# targets
default : ppma_2_bmp

ppma_2_bmp: 
	$(CXX) $(CXXFLAGS)  -o ppma_2_bmp ppma_io.C bmp_io.C ppma_2_bmp.C -lm

clean : FORCE
	rm -f *.o
	rm -f Phi

FORCE:

=== debian/changelog ===
phipack (0.0.20160614-5) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Fix compiler variable to enable cross building
    Closes: #968242
  * Force signed char on every architecture (Thanks a lot to
    Lennart Sorensen)
    Closes: #969552

 -- Andreas Tille <tille@debian.org>  Wed, 09 Sep 2020 08:30:55 +0200

phipack (0.0.20160614-4) unstable; urgency=medium

  * Team Upload.
  [ Steffen Möller ]
  * Added ref to conda

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Nilesh Patra ]
  * Add autopkgtests
  * Install relevant examples
  * Add manpages
  * Switch to https
  * Drop compat, switch to debhelper compat version 13
  * Add "Rules-Requires-Root:no"

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 10 Aug 2020 19:46:14 +0530

phipack (0.0.20160614-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jul 2018 09:41:13 +0200

phipack (0.0.20160614-2) unstable; urgency=medium

  * Add fake watch file
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 09:40:45 +0100

phipack (0.0.20160614-1) unstable; urgency=medium

  * Initial release (Closes: #827992)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jun 2016 16:59:29 +0200

=== debian/control ===
Source: phipack
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/phipack
Vcs-Git: https://salsa.debian.org/med-team/phipack.git
Homepage: https://www.maths.otago.ac.nz/~dbryant/software/phimanual.pdf
Rules-Requires-Root: no

Package: phipack
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PHI test and other tests of recombination
 The PhiPack software package implements a few tests for recombination
 and can produce refined incompatibility matrices as well. Specifically,
 PHIPack implements the 'Pairwise Homoplasy Index', Maximum Chi2 and the
 'Neighbour Similarity Score'. The program Phi can be run to produce a
 p-value of recombination within a data set and the program profile can
 be run to determine regions exhibiting strongest evidence mosaicism.

=== debian/watch ===
#The only trace for this program in the internet that has been found
#was
#
#    http://www.maths.otago.ac.nz/~dbryant/software/PhiPack.tar
#
#The authors are contacted and will provide some better means for
#versioned download.
version=4
opts=dversionmangle=s/.*/0.No-Site/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
